Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional
Class XMLValidateTask.ValidatorErrorHandler

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.XMLValidateTask.ValidatorErrorHandler

All Implemented Interfaces:
  org.xml.sax.ErrorHandler

Enclosing class:
  XMLValidateTask

protected class XMLValidateTask.ValidatorErrorHandler
extends java.lang.Object
implements org.xml.sax.ErrorHandler

ValidatorErrorHandler role :

- log SAX parse exceptions,
- remember if an error occured

Field Summary
`protected java.io.File` | `currentFile`
`protected boolean` | `failed`
`protected java.lang.String` | `lastErrorMessage`

Constructor Summary
`protected` | `XMLValidateTask.ValidatorErrorHandler()`

Method Summary
`void` | `error(org.xml.sax.SAXParseException exception)`
`void` | `fatalError(org.xml.sax.SAXParseException exception)`
`boolean` | `getFailure()`
`void` | `init(java.io.File file)`
`void` | `warning(org.xml.sax.SAXParseException exception)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### currentFile

    protected java.io.File currentFile

### lastErrorMessage

    protected java.lang.String lastErrorMessage

### failed

    protected boolean failed

Constructor Detail

### XMLValidateTask.ValidatorErrorHandler

    protected XMLValidateTask.ValidatorErrorHandler()

Method Detail

### init

    public void init(java.io.File file)

### getFailure

    public boolean getFailure()

### fatalError

    public void fatalError(org.xml.sax.SAXParseException exception)

  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`

### error

    public void error(org.xml.sax.SAXParseException exception)

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`

### warning

    public void warning(org.xml.sax.SAXParseException exception)

  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.